# freecad-python generated by Parametrix
# run the script with:
# freecad.cmd myScript.py

import FreeCAD as App
import Part

#print(sys.argv)
outFileName = "myPartW"
if (len(sys.argv) == 3):
    outFileName = sys.argv[2]
print(f"outFileName: {outFileName}")

def ctr_face_myPartW_faceTop_Fa0_Ctr0():
	P000 = App.Vector(-5.0000, 0.0000, 0)
	P001 = App.Vector(5.0000, 0.0000, 0)
	S000 = Part.LineSegment(P000, P001)
	P002 = App.Vector(5.0000, 15.0000, 0)
	S001 = Part.LineSegment(P001, P002)
	P003 = App.Vector(-5.0000, 15.0000, 0)
	S002 = Part.LineSegment(P002, P003)
	P004 = App.Vector(-5.0000, 0.0000, 0)
	S003 = Part.LineSegment(P003, P000)
	aShape = Part.Shape([S000, S001, S002, S003])
	aWire = Part.Wire(aShape.Edges)
	subFace = Part.Face(aWire)
	subFace.check()
	return subFace

def ctr_face_myPartW_faceTop_Fa0_Ctr1():
	P000 = App.Vector(-4.8000, 0.2000, 0)
	P001 = App.Vector(4.8000, 0.2000, 0)
	S000 = Part.LineSegment(P000, P001)
	P002 = App.Vector(4.8000, 14.8000, 0)
	S001 = Part.LineSegment(P001, P002)
	P003 = App.Vector(-4.8000, 14.8000, 0)
	S002 = Part.LineSegment(P002, P003)
	P004 = App.Vector(-4.8000, 0.2000, 0)
	S003 = Part.LineSegment(P003, P000)
	aShape = Part.Shape([S000, S001, S002, S003])
	aWire = Part.Wire(aShape.Edges)
	subFace = Part.Face(aWire)
	subFace.check()
	return subFace

def face_myPartW_faceTop_Fa0():
	FC000 = ctr_face_myPartW_faceTop_Fa0_Ctr0()
	FC001 = ctr_face_myPartW_faceTop_Fa0_Ctr1()
	rOneFace = FC000.cut([FC001])
	rOneFace.check()
	return rOneFace

def myPartW_faceTop():
	FA000 = face_myPartW_faceTop_Fa0()
	rOneFig = FA000
	rOneFig.check()
	return rOneFig

def ctr_face_myPartW_faceFace_Fa0_Ctr0():
	P000 = App.Vector(0.0000, 8.0000, 0)
	P001 = App.Vector(-6.0000, 3.2000, 0)
	S000 = Part.LineSegment(P000, P001)
	P002 = App.Vector(-5.8751, 3.0438, 0)
	S001 = Part.LineSegment(P001, P002)
	P003 = App.Vector(0.0000, 7.7439, 0)
	S002 = Part.LineSegment(P002, P003)
	P004 = App.Vector(5.8751, 3.0438, 0)
	S003 = Part.LineSegment(P003, P004)
	P005 = App.Vector(6.0000, 3.2000, 0)
	S004 = Part.LineSegment(P004, P005)
	P006 = App.Vector(0.0000, 8.0000, 0)
	S005 = Part.LineSegment(P005, P000)
	aShape = Part.Shape([S000, S001, S002, S003, S004, S005])
	aWire = Part.Wire(aShape.Edges)
	subFace = Part.Face(aWire)
	subFace.check()
	return subFace

def face_myPartW_faceFace_Fa0():
	FC000 = ctr_face_myPartW_faceFace_Fa0_Ctr0()
	rOneFace = FC000
	rOneFace.check()
	return rOneFace

def myPartW_faceFace():
	FA000 = face_myPartW_faceFace_Fa0()
	rOneFig = FA000
	rOneFig.check()
	return rOneFig

def fex_subpax_myPartW_wall():
	FIG = myPartW_faceTop()
	VEX = FIG.extrude(App.Vector(0, 0, 4))
	VR1 = VEX.rotate(App.Vector(0, 0, 0), App.Vector(1, 0, 0), 0.0000)
	VR2 = VR1.rotate(App.Vector(0, 0, 0), App.Vector(0, 1, 0), 0.0000)
	VR3 = VR2.rotate(App.Vector(0, 0, 0), App.Vector(0, 0, 1), 45.0000)
	VFP = VR3.translate(App.Vector(0.0000, 0.0000, 0.0000))
	return VFP
subpax_myPartW_wall = fex_subpax_myPartW_wall()

def fex_subpax_myPartW_roof():
	FIG = myPartW_faceFace()
	VEX = FIG.extrude(App.Vector(0, 0, 17))
	VR1 = VEX.rotate(App.Vector(0, 0, 0), App.Vector(1, 0, 0), 90.0000)
	VR2 = VR1.rotate(App.Vector(0, 0, 0), App.Vector(0, 1, 0), 0.0000)
	VR3 = VR2.rotate(App.Vector(0, 0, 0), App.Vector(0, 0, 1), 45.0000)
	VFP = VR3.translate(App.Vector(-11.3137, 11.3137, 0.0000))
	return VFP
subpax_myPartW_roof = fex_subpax_myPartW_roof()

def fvol_pax_myPartW():
	V000 = subpax_myPartW_wall
	V001 = V000.fuse(subpax_myPartW_roof)
	VFC = V001.removeSplitter()
	return VFC
pax_myPartW = fvol_pax_myPartW()


pax_myPartW.check()
#pax_myPartW.exportBrep(f"{outFileName}.brep")
#pax_myPartW.exportIges(f"{outFileName}.igs")
#pax_myPartW.exportStep(f"{outFileName}.stp")
pax_myPartW.exportStl(f"{outFileName}.stl")

